summaryrefslogtreecommitdiff
path: root/taler-build
diff options
context:
space:
mode:
authorFlorian Dold <florian.dold@gmail.com>2016-05-20 14:46:52 +0200
committerFlorian Dold <florian.dold@gmail.com>2016-05-20 14:46:52 +0200
commite55efcea6bbe6d652100bee19c14b9e366abf91b (patch)
treefea0c68ef076700585168c044dec37d4454ef7a5 /taler-build
parent5cf9e76e20f2cab20c12a548172717b7f518f583 (diff)
downloaddeployment-e55efcea6bbe6d652100bee19c14b9e366abf91b.tar.gz
deployment-e55efcea6bbe6d652100bee19c14b9e366abf91b.tar.bz2
deployment-e55efcea6bbe6d652100bee19c14b9e366abf91b.zip
Make build system robust against force pushes
Diffstat (limited to 'taler-build')
-rwxr-xr-xtaler-build/update_bank.sh10
-rwxr-xr-xtaler-build/update_exchange.sh35
-rwxr-xr-xtaler-build/update_landing.sh13
-rwxr-xr-xtaler-build/update_libgnurl.sh9
-rwxr-xr-xtaler-build/update_merchant.sh10
-rwxr-xr-xtaler-build/update_merchant_frontends.sh10
6 files changed, 54 insertions, 33 deletions
diff --git a/taler-build/update_bank.sh b/taler-build/update_bank.sh
index 1c38fda..6cda12b 100755
--- a/taler-build/update_bank.sh
+++ b/taler-build/update_bank.sh
@@ -2,10 +2,14 @@
set -eu
-cd $HOME/bank/
-git pull
-git submodule update --init
+cd $HOME/bank
git clean -fxd
+
+# like "git pull", but robust against force pushes
+# and local changes
+git fetch
+git reset --hard FETCH_HEAD
+
./bootstrap
./configure --prefix="$HOME/local"
make
diff --git a/taler-build/update_exchange.sh b/taler-build/update_exchange.sh
index 1e96119..aa8d617 100755
--- a/taler-build/update_exchange.sh
+++ b/taler-build/update_exchange.sh
@@ -1,25 +1,20 @@
#!/bin/bash
-export PATH="$HOME/deployment":$PATH
+set -eu
-build_exchange() {
- (
- set -eu
+cd $HOME/exchange
+git clean -fdx
- cd $HOME/exchange
- git clean -fdx
- ./bootstrap
- ./configure CFLAGS='-ggdb -O0' \
- --with-libgnurl=$HOME/local \
- --with-microhttpd=$HOME/local \
- --prefix=$HOME/local --with-gnunet=$HOME/local \
- --enable-logging=verbose
- make
- make install
- )
-}
+# like "git pull", but robust against force pushes
+# and local changes
+git fetch
+git reset --hard FETCH_HEAD
-cd $HOME/exchange && \
- git pull && \
- cd $HOME/deployment && \
- build_exchange
+./bootstrap
+./configure CFLAGS='-ggdb -O0' \
+ --with-libgnurl=$HOME/local \
+ --with-microhttpd=$HOME/local \
+ --prefix=$HOME/local --with-gnunet=$HOME/local \
+ --enable-logging=verbose
+make
+make install
diff --git a/taler-build/update_landing.sh b/taler-build/update_landing.sh
index c75166c..daf77a1 100755
--- a/taler-build/update_landing.sh
+++ b/taler-build/update_landing.sh
@@ -1,8 +1,13 @@
#!/bin/bash
-set -e
-base=$HOME
+set -eu
+
+cd $HOME/landing
+git clean -fxd
+
+# like "git pull", but robust against force pushes
+# and local changes
+git fetch
+git reset --hard FETCH_HEAD
-cd $base/landing
-git pull
git submodule update --init
diff --git a/taler-build/update_libgnurl.sh b/taler-build/update_libgnurl.sh
index 5b49899..356a6eb 100755
--- a/taler-build/update_libgnurl.sh
+++ b/taler-build/update_libgnurl.sh
@@ -1,8 +1,13 @@
#!/bin/bash
-cd $HOME/gnurl/
+cd $HOME/gnurl
git clean -fxd
-git pull
+
+# like "git pull", but robust against force pushes
+# and local changes
+git fetch
+git reset --hard FETCH_HEAD
+
./buildconf
./configure --enable-ipv6 --with-gnutls --without-libssh2 --without-libmetalink --without-winidn --without-librtmp --without-nghttp2 --without-nss --without-cyassl --without-polarssl --without-ssl --without-winssl --without-darwinssl --disable-sspi --disable-ntlm-wb --disable-ldap --disable-rtsp --disable-dict --disable-telnet --disable-tftp --disable-pop3 --disable-imap --disable-smtp --disable-gopher --disable-file --disable-ftp --disable-smb --prefix=$HOME/local
make
diff --git a/taler-build/update_merchant.sh b/taler-build/update_merchant.sh
index fab648f..99d8d8c 100755
--- a/taler-build/update_merchant.sh
+++ b/taler-build/update_merchant.sh
@@ -3,9 +3,15 @@
set -eu
cd $HOME/merchant/
-git pull
-git submodule update --init
git clean -fdx
+
+# like "git pull", but robust against force pushes
+# and local changes
+git fetch
+git reset --hard FETCH_HEAD
+
+git submodule update --init
+
./bootstrap
./configure CFLAGS='-ggdb -O0' \
--prefix=$HOME/local --with-gnunet=$HOME/local \
diff --git a/taler-build/update_merchant_frontends.sh b/taler-build/update_merchant_frontends.sh
index 0a948ab..1c3912d 100755
--- a/taler-build/update_merchant_frontends.sh
+++ b/taler-build/update_merchant_frontends.sh
@@ -3,9 +3,15 @@
set -eu
cd $HOME/merchant-frontends/
-git pull
-git submodule update --init
git clean -fxd
+
+# like "git pull", but robust against force pushes
+# and local changes
+git fetch
+git reset --hard FETCH_HEAD
+
+git submodule update --init
+
./bootstrap
./configure --prefix="$HOME/local"
make